#
# spec file for package perl-Task-Weaken
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Task-Weaken
%define cpan_name Task-Weaken
Summary:        Task::Weaken - Ensure that a platform has weaken support
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Version:        1.04
Release:        26.1
Url:            http://search.cpan.org/dist/Task-Weaken/
Source:         http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       %{cpan_name}

%description
One recurring problem in modules that use Scalar::Util's "weaken"
function is that it is not present in the pure-perl variant.

While this isn't necessarily always a problem in a straight CPAN-based
Perl environment, some operating system distributions only include the
pure-Perl versions, don't include the XS version, and so weaken is then
"missing" from the platform, despite passing a dependency on
Scalar::Util successfully.

Authors:
--------
    Adam Kennedy <adamk@cpan.org>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
echo y | perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
%{__make}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-, root, root)
%doc Changes LICENSE README

%changelog
* Wed Dec 14 2011 coolo@suse.com
- fix license to be in spdx.org format
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Sun Aug 28 2011 andrea.turrini@gmail.com
- fixed typo in perl-Task-Weaken.spec
* Tue Mar  8 2011 jw@novell.com
- updated to 1.04:
  Updating author tests
  Updating to Module::Install
  Simple refactoring of Makefile.PL
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Feb 21 2010 chris@computersalat.de
- cleanup spec
  o fix Url
  o modname > cpan_name
  o added perl-macros
  o added provides cpan_name
  o usage of more macros
  o added LICENSE to doc
* Sun Nov 15 2009 dmueller@suse.de
- update to 1.03:
  - Updating to flush out some old CPAN Testers results
* Tue Jul 15 2008 jw@suse.de
- initial check in version 1.02
